Package org.eclipse.viatra.query.runtime.localsearch.operations.check

## Class ContainmentCheck

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.operations.check.ContainmentCheck

- All Implemented Interfaces:
    `ISearchOperation`

      public class ContainmentCheck
      extends java.lang.Object
      implements ISearchOperation

  A simple operation that checks whether a `EStructuralFeature` connects two selected variables.
  No Extend:
    This class is not intended to be subclassed by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.query.runtime.localsearch.operations.ISearchOperation

      `ISearchOperation.ISearchOperationExecutor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContainmentCheck​(int childPosition, int containerPosition, boolean transitive)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ISearchOperation.ISearchOperationExecutor` | `createExecutor()` | Initializes a new operation executor for the given operation.
    `java.util.List<java.lang.Integer>` | `getVariablePositions()` |
    `java.lang.String` | `toString()` |
    `java.lang.String` | `toString​(java.util.function.Function<java.lang.Integer,​java.lang.String> variableMapping)` | Creates a string representation of the search operation by replacing the variable numbers according to the parameter function.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainmentCheck

          public ContainmentCheck​(int childPosition,
                                  int containerPosition,
                                  boolean transitive)

  - ### Method Detail

    - #### createExecutor

          public ISearchOperation.ISearchOperationExecutor createExecutor()

      Description copied from interface: `ISearchOperation`
      Initializes a new operation executor for the given operation. Repeated calls must return different executor instances.
      Specified by:
        `createExecutor` in interface `ISearchOperation`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString​(java.util.function.Function<java.lang.Integer,​java.lang.String> variableMapping)

      Description copied from interface: `ISearchOperation`
      Creates a string representation of the search operation by replacing the variable numbers according to the parameter function. It is expected that the provided function does return a non-null value for each variable index that is returned by `ISearchOperation.getVariablePositions()`; otherwise a `NullPointerException` will be thrown during the calculation of the string.
      Specified by:
        `toString` in interface `ISearchOperation`

    - #### getVariablePositions

          public java.util.List<java.lang.Integer> getVariablePositions()

      Specified by:
        `getVariablePositions` in interface `ISearchOperation`
      Returns:
        the ordered list of the variable numbers that are affected by the search operation